%define major 1
%define libxinerama %mklibname xinerama %{major}
%define devxinerama %mklibname xinerama -d

Name: libxinerama
Summary: The Xinerama Library
Version: 1.1.3
Release: %mkrel 6
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXinerama-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1

%description
The Xinerama Library

#-----------------------------------------------------------

%package -n %{libxinerama}
Summary: The Xinerama Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxinerama}
The Xinerama Library

%files -n %{libxinerama}
%{_libdir}/libXinerama.so.%{major}
%{_libdir}/libXinerama.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxinerama}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxinerama} = %{version}-%{release}
Provides: libxinerama-devel = %{version}-%{release}
Conflicts: %{_lib}xinerama1 < 1.1.1-3
Obsoletes: %{_lib}xinerama1-devel < 1.1.3-2
Obsoletes: %{_lib}xinerama1-static-devel < 1.1.3-2

%description -n %{devxinerama}
Development files for %{name}

%files -n %{devxinerama}
%{_libdir}/libXinerama.so
%{_libdir}/pkgconfig/xinerama.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXinerama-%{version}

%build
%configure2_5x  --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 1.1.3-6.mga6
+ Revision: 930920
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-5.mga5
+ Revision: 744825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-4.mga5
+ Revision: 681884
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.3-3.mga5
+ Revision: 532713
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.3-2.mga4
+ Revision: 469396
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Fri May 31 2013 tv <tv> 1.1.3-1.mga4
+ Revision: 433605
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 358590
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.2-1.mga2
+ Revision: 222242
- new release

* Mon Nov 21 2011 fwang <fwang> 1.1.1-3.mga2
+ Revision: 170346
- drop .la files

* Wed Jan 12 2011 ahmad <ahmad> 1.1.1-2.mga1
+ Revision: 7704
- clean spec and drop old/unneeded scriptlets
- imported package libxinerama


* Thu Oct 28 2010 Thierry Vignaud <tv@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 589779
- new release

* Mon Nov 09 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1-1mdv2010.1
+ Revision: 463713
- New version: 1.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-3mdv2010.0
+ Revision: 425927
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2009.0
+ Revision: 264973
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2009.0
+ Revision: 192984
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.
    - Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2008.1
+ Revision: 150857
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Apr 20 2007 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 16015
- package man pages
- new release


* Fri Mar 16 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.1-4mdv2007.1
+ Revision: 144836
- Rebuild to allow automated pkgconfig Provides: to be added.

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

